Accounting transactions
get
https://app.iteras.dk/api/accountingtransactions/
The /api/accountingtransactions/ endpoint enables
you to download accounting transactions for exports configured in
Iteras. Accounting transactions exports can be set up in the
accounting transactions
section.
Parameters
Both dates are inclusive.
-
export string requiredThe ID of the accounting transactions export to retrieve data for, e.g.
?export=annual_export. -
start_date date requiredE.g.
2026-10-01(inclusive). -
end_date date requiredE.g.
2026-10-31(inclusive). -
encoding string Defaults to
ISO-8859-1Character set of returned CSV file,ISO-8859-1orUTF-8.
Return value
Streams data for the export as a CSV file, in the same format as you get if you download the export inside Iteras.
A missing required parameter, an unknown export, or an
invalid encoding returns a plain text HTTP 400/404 error.
Example
The endpoint can be used to automatically download accounting transactions on a regular basis. For instance, you could daily fetch yesterday's data with something like:
curl --request GET "https://app.iteras.dk/api/accountingtransactions/?export=annual_report&start_date=`date -d yesterday +%F`&end_date=`date -d yesterday +%F`" \
--header "Authorization: Bearer <Iteras API key>" \
-OJ # output the file to the standard Iteras filename supplied in the HTTP header